disdikpateng/urls.py
from django.contrib import admin
from django.urls import path, include, re_path
from django.conf import settings
from django.conf.urls.static import static
from django.contrib.auth import views as auth_views
from django.views.static import serve
from django.views.generic import TemplateView

urlpatterns = [
    path('sudo_manage_panel/', admin.site.urls),
    # path('accounts/reset/done/', auth_views.PasswordResetCompleteView.as_view(template_name='profile/admin/user/password/password_reset_complete.html'), name='password_reset_complete'), 
    # path('accounts/', include("django.contrib.auth.urls")),
    path('ckeditor/', include('ckeditor_uploader.urls')),
    path('', include('rizq_sanjaya_app.urls')),
    path('captcha/',include("captcha.urls")),
    re_path(r'^media/(?P<path>.*)$', serve,{'document_root': settings.MEDIA_ROOT}), 
    re_path(r'^static/(?P<path>.*)$', serve,{'document_root': settings.STATIC_ROOT}),
]
urlpatterns += static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)
urlpatterns += static(settings.STATIC_URL, document_root=settings.STATIC_ROOT)
urlpatterns += [
    path('<path:unknown_url>', TemplateView.as_view(template_name='404.html'), name='404'),
]

rizq_sanjaya_app/urls.py
from django.urls import path, include
from .views import *
from django.contrib.auth import views as auth_views


app_name = 'profile'
urlpatterns = [
    path('', dashboard.index, name='home'),
    path('sejarah/', profiledinas.index, name='sejarah'),
    path('visimisi/', profiledinas.VisiMisi, name='visimisi'),
    path('tugas/', profiledinas.Tugas, name='tugas'),
    path('struktur/', profiledinas.Struktur, name='struktur'),
    path('profilpejabat/', profiledinas.Pejabat, name='pejabat'),

     # ## ADD PAKBAS =======================================================
    path('infoterpadu/', fe_infoterpadu.index_infografis, name='infoterpadu_infografis'),
    path('infopublik/', fe_infoterpadu.index_infopublik, name='infoterpadu_infopublik'),
    path('infoagenda/', fe_infoterpadu.index_infoagenda, name='infoterpadu_agenda'),
    path('infoagenda/<str:slug>', fe_infoterpadu.admin_detail_agenda, name='infoterpadu_agenda_detail'),
    path('infokalender/', fe_infoterpadu.index_infokalender, name='infoterpadu_kalender_pendidikan'),
    path('infokalender/detail/<str:slug>', fe_infoterpadu.admin_detail_kalender, name='infoterpadu_det_kalender_pendidikan'),
    path('infoterpadu/regulasi/', fe_infoterpadu.index_inforegulasi, name='infoterpadu_regulasi'),
    
    

    # Berita =============================================
    path('berita/', berita.index, name='berita'),
    path('berita/<str:slug>', berita.cat_berita, name='kat_berita'),
    path('berita/tag/<str:slug>', berita.tag_berita, name='tag_berita'),
    path('berita/detail/<str:slug>', berita.detail_berita, name='detail_berita'),

    # Layanan ==============================================
    path('layanan/', layanan.index, name='layanan'),
    path('layanan/info_publik', layanan.info_publik, name='info_publik'),
    path('layanan/pengaduan', layanan.pengaduan, name='pengaduan'),
    path('layanan/permohonan', layanan.permohonan, name='permohonan'),


    path('layanan/input_pengaduan', pengaduan.Inputpengaduan, name='input_pengaduan'),


    path('inovasi/', fe_inovasi.index, name='inovasi'),
    path('det_inovasi/<str:slug>', fe_inovasi.admin_detail, name='detail_inovasi'),
    path('bycategory/<str:slug>', fe_inovasi.admin_by_category, name='detail_inovasi_bycategory'),
    path('contact/', fe_contact.index, name='contact'),

    # ## ADD JOEL =======================================================
    path('ppid/<str:slug>', ppid.index, name='ppid_index'),
    
    #INI ADALAH DISDIK PATENG
    # path('profile/', dashboard.profil, name='profil'),
    # path('paket/', dashboard.paket, name='paket'),
    # path('detail_paket/<int:id>', dashboard.detail_paket, name='detail_paket'),
    # path('cara_bayar/', dashboard.cara_bayar, name='cara_bayar'),
    # path('gallery/', dashboard.galeri, name='galeri'),
    # path('berita/', dashboard.berita, name='berita'),
    # path('category/<int:id>', dashboard.kategori, name='kategori'),
    # path('detail_berita/<str:slug>', dashboard.detail_berita, name='detail_berita'),
    # path('contact/', dashboard.kontak, name='kontak'),
    # path('prev/<int:id>/', dashboard.prev, name='prev'),
    # path('next/<int:id>/', dashboard.next, name='next'),
    # path('Category/', dashboard.ajax, name='ajax'),
    # path('Produk/<int:id>', dashboard.produk, name='produk'),
    # path('contact_us/', dashboard.contact, name='contact'),
    # path('supplier/', dashboard.supplier, name='supplier'),
    # path('render_laporan/', dashboard.render_laporan, name='render_laporan'),
    # DOKUMEN PUBLIKASI
    # path('dokumen/', documents.index, name='document'),
    # path('dokumen/<str:slug>', documents.detail, name='document_detail'),
    # ABOUT ==================
    # path('about/', halaman.index_about, name='idx_about'),
    # KONTAK PAJERO SPORT ==================
    # path('contact/', halaman.index_contact, name='idx_contact'),
    # === Layanan ========================
    # path('layanan/', layanan.index, name='layanan'),
    # path('layanan/<str:jenis>', layanan.detail, name='layanan'),
    # path('layanan/komoditas/<str:jenis>', layanan.detail_komoditas, name='detail_komoditas'),
    # NEWS ========================================
    # path('berita/', news.index, name='news'),
    # path('berita/<str:slug>', news.detail, name='news_detail'),
    # path('berita/category/<str:jenis>/<str:slug>', news.category, name='news_by_category'),
    # DOKUMEN PUBLIKASI
    # path('galeri/', gallery.index, name='gallery'),
    # path('galeri/<str:slug>', gallery.detail, name='gallery_detail'),
    # TAGS
    path('tags/<str:jenis>/<str:slug>', tags.index, name='tags'),


    ################################################# PATH URL UNTUK ADMIN################################################# 
    path('manage_panel/', include(
        [
            path('', auth.LoginViews, name='index_login'),
            path('logout/', auth.LogoutViews, name='logout_akun'),
            path('dashboard/', admin.index, name='admin_home'),
            path('fetch_data_pengaduan/', admin.Datapengaduan, name='admin_datapengaduan'),
            path('verification/', user.verification, name='admin_verification'),
            path('send_verification/', user.send_verification, name='admin_send_verification'),
            path('email/verify/<uidb64>/<token>/',user.email_verify, name='admin_email_verify'),

            # path('modal/<str:jenis>', admin.admin_modal_archive, name='admin_modal_archive'),

            #LAYANAN PROFIL SKPD===============================
            path('profilskpd/', include(
                [
                    path('', profilskpd.admin_index, name='admin_profilskpd'),
                    path('create/', profilskpd.create, name='admin_profilskpd_create'),
                    path('edit/<str:slug>', profilskpd.edit, name='admin_profilskpd_edit'),
                    path('soft_delete/<int:id>', profilskpd.softDelete, name='admin_profilskpd_soft_delete'),
                    path('restore/<int:id>', profilskpd.restore, name='admin_profilskpd_restore'),
                    
                ]
            )),

            #LAYANAN DINAS PENDIDIKAN===============================
            path('layanandinas/', include(
                [
                    path('', layanan_.admin_index, name='admin_layanan'),
                    path('create/', layanan_.create, name='admin_layanan_create'),
                    path('edit/<int:id>', layanan_.edit, name='admin_layanan_edit'),
                    path('soft_delete/<int:id>', layanan_.softDelete, name='admin_layanan_soft_delete'),
                    path('restore/<int:id>', layanan_.restore, name='admin_layanan_restore'),
                    
                ]
            )),

             #AKSESBILITAS EXTERNAL LINK DINAS PENDIDIKAN===============================
            path('aksesbilitas/', include(
                [
                    path('', aksesbilitas.admin_index, name='admin_aksesbilitas'),
                    path('create/', aksesbilitas.create, name='admin_aksesbilitas_create'),
                    path('edit/<int:id>', aksesbilitas.edit, name='admin_aksesbilitas_edit'),
                    path('soft_delete/<int:id>', aksesbilitas.softDelete, name='admin_aksesbilitas_soft_delete'),
                    path('restore/<int:id>', aksesbilitas.restore, name='admin_aksesbilitas_restore'),
                    
                ]
            )),

             #AKSESBILITAS EXTERNAL LINK DINAS PENDIDIKAN===============================
            path('kategori_pengaduan/', include(
                [
                    path('', kat_pengaduan.admin_index, name='admin_kat_pengaduan'),
                    path('create/', kat_pengaduan.create, name='admin_kat_pengaduan_create'),
                    path('edit/<str:slug>', kat_pengaduan.edit, name='admin_kat_pengaduan_edit'),
                    path('soft_delete/<str:slug>', kat_pengaduan.softDelete, name='admin_kat_pengaduan_soft_delete'),
                    path('restore/<str:slug>', kat_pengaduan.restore, name='admin_kat_pengaduan_restore'),
                    path('permanent_delete/<str:slug>', kat_pengaduan.permanentDelete, name='admin_kat_permanent_delete'),
                    
                ]
            )),

             #AKSESBILITAS EXTERNAL LINK DINAS PENDIDIKAN===============================
            path('pelayanan_pengaduan/', include(
                [
                    path('', pengaduan.admin_index, name='admin_pelayanan_pengaduan'),
                    path('status_pengaduan/<int:id>', pengaduan.Approve, name='admin_status_pengaduan'),
                    path('belum_selesai/<int:id>', pengaduan.NotApprove, name='admin_status_not_aprrove_pengaduan'),
                    path('input_catatan/<int:id>', pengaduan.inputCatatan, name='admin_input_catatan_alasan'),
                    
                ]
            )),

             #INFORMASI TERPADU DINAS PENDIDIKAN===============================
            path('infoterpadu/', include(
                [
                    # ROUTE INFOGRAFIS
                    path('infografis/', infoterpadu.admin_index_infografis, name='admin_infoterpadu_infografis'),
                    path('infografis/create/', infoterpadu.admin_index_infografis_create, name='admin_infoterpadu_infografis_cretae'),
                    path('infografis/edit/<str:slug>', infoterpadu.admin_index_infografis_edit, name='admin_infoterpadu_infografis_edit'),
                    # ROUTE INFOPUBLIK
                    path('infopublik/', infoterpadu.admin_index_infopublik, name='admin_infoterpadu_infopublik'),
                    path('infopublik/create/', infoterpadu.admin_index_infopublik_create, name='admin_infoterpadu_infopublik_cretae'),
                    path('infopublik/edit/<str:slug>', infoterpadu.admin_index_infopublik_edit, name='admin_infoterpadu_infopublik_edit'),

rizq_sanjaya_app/views/_complaint.py
from django.shortcuts import render, HttpResponse, HttpResponseRedirect, redirect
from django.contrib.auth.decorators import login_required
from django.views.decorators.http import require_http_methods
from ..forms import *
from django.contrib import messages
from ..models import Complaint
import os
from django.conf import settings
from django.core.mail import EmailMessage, get_connection
from django.template.loader import get_template
from django.utils import timezone
from ..decorators import *

@require_http_methods(["GET", "POST"])
def index(request):
    if request.method == 'GET':
        favorits = News.objects.filter(deleted_at=None).order_by('-seen')[:5]
        form = ComplaintForm()
        context = {
            'title' : 'Pengaduan',
            'form' : form,
            'favs' : favorits,
            'captcha' : MyCaptcha(),
        }

        return render(request, 'profile/complaint/index.html', context)
    
    if request.method == 'POST':
        form = ComplaintForm(data=request.POST)
        captcha = MyCaptcha(request.POST)

        if captcha.is_valid():
            if form.is_valid():
                try:
                    message = get_template("profile/email/complaint.html").render({
                        'name': request.POST.get('name'),
                        'email': request.POST.get('email'),
                        'phone': request.POST.get('phone'),
                        'subject': request.POST.get('subject'),
                        'message': request.POST.get('message'),
                    })
                    connection = get_connection(host=settings.EMAIL_HOST, 
                                                port=settings.EMAIL_PORT, 
                                                username=settings.EMAIL_HOST_USER_PENGADUAN, 
                                                password=settings.EMAIL_HOST_PASSWORD_PENGADUAN, 
                                                use_tls=settings.EMAIL_USE_TLS)
                    mail = EmailMessage(
                        subject=request.POST.get('subject'),
                        body=message,
                        to=[
                            # masih perlu diupdate
                            'yoelaris@gmail.com',
                        ],
                        connection=connection,
                    )
                    form.save()
                    
                    mail.content_subtype = "html"
                    mail.send()

                    messages.success(request, 'Pengaduan anda berhasil dikirim.')
                    
                except:
                    messages.success(request, 'Pengaduan anda gagal dikirim.')
                
                return redirect('profile:complaint')
        else:
            messages.error(request, 'Pengaduan anda gagal dikirim. Captcha tidak sama.')
            return redirect('profile:complaint')

        return render(request, 'profile/complaint/index.html', {'form': form})

@login_required
@is_verified()
@require_http_methods(["GET"])
def admin_index(request):
    complaint = Complaint.objects.filter(deleted_at = None).order_by('-created_at')
    archives = Complaint.objects.filter(deleted_at__isnull=False).order_by('-created_at')
    context = {
        'title' : 'Pengaduan - Admin',
        'complaints' : complaint,
        'archives' : archives,
    }
    
    return render(request, 'profile/admin/complaint/index.html', context)

@login_required
@is_verified()
@require_http_methods(["GET"])
def admin_detail(request, slug):
    template = 'profile/admin/complaint/detail.html'
    try:
        complaint = Complaint.objects.get(slug=slug)
        complaint.read_status=True
        complaint.save()
    except Complaint.DoesNotExist:
        complaint = None
    context = {
        'title' : 'Pengaduan' if complaint != None else 'TIDAK DITEMUKAN',
        'complaint' : complaint,
    }
    return render(request, template, context)

@login_required
@is_verified()
@require_http_methods(["POST"])
def reply(request):
    if request.method == 'POST':
        try:
            complaint = Complaint.objects.get(slug=request.POST.get('slug'))
            message = get_template("profile/email/complaint_reply.html").render({
                'name': complaint.name,
                'subject': complaint.subject,
                'message': complaint.message,
                'reply' : request.POST.get('balasan'),
            })
            connection = get_connection(host=settings.EMAIL_HOST, 
                                        port=settings.EMAIL_PORT, 
                                        username=settings.EMAIL_HOST_USER_PENGADUAN, 
                                        password=settings.EMAIL_HOST_PASSWORD_PENGADUAN, 
                                        use_tls=settings.EMAIL_USE_TLS)
            mail = EmailMessage(
                subject=f"Balasan terhadap pengaduan: {complaint.subject}",
                body=message,
                to=[
                    complaint.email,
                ],
                connection=connection,
            )
            mail.content_subtype = "html"
            mail.send()

            complaint.reply_status = True
            complaint.save()

            messages.success(request, 'Balasan anda berhasil dikirim.')
            return redirect('profile:admin_complaint_detail', slug=complaint.slug)
            
        except:
            messages.success(request, 'Balasan anda gagal dikirim.')
            return redirect('profile:complaint')

@login_required
@is_verified()
def softDelete(request, slug):
    message = ''
    try:
        sekarang = timezone.now()
        complaint = Complaint.objects.get(slug=slug)
        complaint.deleted_at = sekarang
        complaint.save()
        message = 'success'
    except Complaint.DoesNotExist:
        message = 'error'

    context = {
            'message' : message,
        }

    return HttpResponse(context)

@login_required
@is_verified()
def permanentDelete(request, slug):
    message = ''
    try:
        complaint = Complaint.objects.get(slug=slug)
        complaint.delete()
        message = 'success'
    except Complaint.DoesNotExist:
        message = 'error'

    context = {
            'message' : message,
        }

    return HttpResponse(context)
    
@login_required
@is_verified()
def restore(request, slug):
    message = ''
    try:
        complaint = Complaint.objects.get(slug=slug)
        complaint.deleted_at = None
        complaint.save()
        message = 'success'
    except Complaint.DoesNotExist:
        message = 'error'

    context = {
            'message' : message,
        }

    return HttpResponse(context)

rizq_sanjaya_app/templates/profile/layanan/detail.html
{% extends 'profile/layouts/base_layout.html' %}

{% block navbar %}
    {% include 'profile/layouts/navbar.html' %}
{% endblock navbar %}

{% block main %}
{% load static %}
    <section class="page-header clearfix"
        style="background-image: url({% static 'profile/images/backgrounds/page-header-bg.jpg' %});">
        <div class="container">
            <div class="page-header__inner text-center clearfix">
                <ul class="thm-breadcrumb">
                    <li><a href="{% url 'profile:home' %}">Home</a></li>
                    <li><a href="{% url 'profile:layanan' %}">Layanan</a></li>
                    <li>Komoditas</li>
                </ul>
                <h2>{{nm_layanan}}</h2>
            </div>
        </div>
    </section>

    <section class="services-details" style='background-color:white;'>
        <div class="container">
            <div class="row">
                <!--Start Services Details Sidebar-->
                <div class="col-xl-4 col-lg-4">
                    <div class="services-details__sidebar">
                        <!--Start Services Details Sidebar Single-->
                        <div class="services-details__sidebar-single">
                            <div class="services-details__sidebar-single-services wow fadeInUp animated animated animated"
                                data-wow-delay="0.1s" data-wow-duration="1200m">
                                <div class="title">
                                    <h3>All Services</h3>
                                </div>
                                <ul>
                                    <li><a href="agriculture-products.html">Agriculture Products <i
                                                class="fa fa-angle-right"></i></a></li>
                                    <li><a href="fresh-vegetable.html">Fresh Vegetable <i
                                                class="fa fa-angle-right"></i></a></li>
                                    <li><a href="organic-products.html">Organic Products <i
                                                class="fa fa-angle-right"></i></a></li>
                                    <li><a href="dairy-products.html">Dairy Products <i
                                                class="fa fa-angle-right"></i></a></li>
                                </ul>
                            </div>
                        </div>
                        <!--End Services Details Sidebar Single-->

                        <!--Start Services Details Sidebar Single-->
                        <div class="services-details__sidebar-single">
                            <div class="services-details__sidebar-single-contact-box text-center wow fadeInUp animated animated animated"
                                data-wow-delay="0.3s" data-wow-duration="1200m"
                                style="background-image:url({% static 'profile/images/resources/services-details-contact-box-bg.jpg' %});">
                                <div class="icon">
                                    <span class="icon-phone-call-2"></span>
                                </div>
                                <div class="title">
                                    <h2>Selling <br>agriculture<br> products</h2>
                                </div>
                                <p class="phone"><a href="tel:+6285321546142">+62 853-2154-6142</a></p>
                                <p>Call Us Anytime</p>
                            </div>
                        </div>
                        <!--End Services Details Sidebar Single-->

                        <!--Start Services Details Sidebar Single-->
                        <div class="services-details__sidebar-single">
                            <div class="services-details__sidebar-single-btn text-center wow fadeInUp animated animated animated"
                                data-wow-delay="0.5s" data-wow-duration="1200m">
                                <a href="#" class="thm-btn"><span class="icon-pdf"></span> download pdf file</a>
                            </div>
                        </div>
                        <!--End Services Details Sidebar Single-->
                    </div>
                </div>
                <!--End Services Details Sidebar-->

                <!--Start Services Details Content-->
                <div class="col-xl-8 col-lg-8">
                    <div class="services-details__content">
                        <div class="services-details__content-img">
                            <img src="{% static 'profile/images/resources/detail_komoditaspadi.png' %}" alt="" />
                        </div>
                        <div class="services-details__content-icon">
                            <span class="icon-harvest"></span>
                        </div>
                        <h2 class="services-details__content-title" style='color:black;'>Agriculture Products</h2>
                        <p class="services-details__content-text1" style='color:black;'>Lorem ipsum is simply free text used by
                            copytyping refreshing. Neque porro est qui dolorem ipsum quia quaed inventore veritatis
                            et quasi architecto beatae vitae dicta sunt explicabo. Aelltes port lacus quis enim var
                            sed efficitur turpis gilla sed sit amet finibus eros. Lorem Ipsum is simply dummy text
                            of the printing and typesetting industry. Lorem Ipsum has been the ndustry standard
                            dummy text ever since the 1500s, when an unknown printer took a galley of type and
                            scrambled it to make a type specimen book.</p>
                        <p class="services-details__content-text2" style='color:black;'>When an unknown printer took a galley of type and
                            scrambled it to make a type specimen book. It has survived not only five centuries, but
                            also the leap into electronic typesetting, remaining essentially unchanged. </p>

                        <div class="services-details__content-text3">
                            <div class="img-box">
                                <img src="{% static 'profile/images/resources/services-details-content-agriculture-2.jpg' %}"
                                    alt="" />
                            </div>
                            <div class="text-box">
                                <ul>
                                    <li>
                                        <div class="icon">
                                            <i class="fa fa-check-circle" aria-hidden="true"></i>
                                        </div>
                                        <div class="text">
                                            <p style='color:black;'>Research beyond the business plan work here</p>
                                        </div>
                                    </li>

                                    <li>
                                        <div class="icon">
                                            <i class="fa fa-check-circle" aria-hidden="true"></i>
                                        </div>
                                        <div class="text">
                                            <p style='color:black;'>Marketing options and rates lipsum</p>
                                        </div>
                                    </li>

                                    <li>
                                        <div class="icon">
                                            <i class="fa fa-check-circle" aria-hidden="true"></i>
                                        </div>
                                        <div class="text">
                                            <p style='color:black;'>The ability to turnaround working on it</p>
                                        </div>
                                    </li>
                                </ul>
                            </div>
                        </div>

                        <div class="faq-one__accordions faq-one__accordions--services-details">
                            <div class="accrodion-grp" data-grp-name="faq-one-accrodion">
                                <!--Start Faq One Single-->
                                <div class="accrodion active  wow fadeInUp" data-wow-delay="0ms"
                                    data-wow-duration="1000ms">
                                    <div class="accrodion-title">
                                        <h4>Company Provides a Full Range of Services?</h4>
                                    </div>
                                    <div class="accrodion-content">
                                        <div class="inner">
                                            <p>Suspendisse finibus urna mauris, vitae consequat quam vel. Vestibulum
                                                leo ligula, vitae commodo nisl. Lorem ipsum is simply free text
                                                available in the market adipisi cing elit.</p>
                                        </div>
                                    </div>
                                </div>
                                <!-- End Faq One Single-->

                                <!--Start Faq One Single-->
                                <div class="accrodion wow fadeInUp" data-wow-delay="100ms"
                                    data-wow-duration="1000ms">
                                    <div class="accrodion-title">
                                        <h4>Home Improvement Works are Expensive?</h4>
                                    </div>
                                    <div class="accrodion-content">
                                        <div class="inner">
                                            <p>Suspendisse finibus urna mauris, vitae consequat quam vel. Vestibulum
                                                leo ligula, vitae commodo nisl. Lorem ipsum is simply free text
                                                available in the market adipisi cing elit.</p>
                                        </div>
                                    </div>
                                </div>
                                <!-- End Faq One Single-->

                                <!--Start Faq One Single-->
                                <div class="accrodion wow fadeInUp" data-wow-delay="200ms"
                                    data-wow-duration="1000ms">
                                    <div class="accrodion-title">
                                        <h4>Home Improvement Works are Expensive?</h4>
                                    </div>
                                    <div class="accrodion-content">
                                        <div class="inner">
                                            <p>Suspendisse finibus urna mauris, vitae consequat quam vel. Vestibulum
                                                leo ligula, vitae commodo nisl. Lorem ipsum is simply free text
                                                available in the market adipisi cing elit.</p>
                                        </div>
                                    </div>
                                </div>
                                <!-- End Faq One Single-->
                            </div>

                        </div>

                    </div>
                </div>
                <!--End Services Details Content-->
            </div>
        </div>
    </section>

{% endblock main %}

{% block footer %}
    {% include 'profile/layouts/footer.html' %}
{% endblock footer %}